<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:27 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Interface org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.CommunicationMedia (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.CommunicationMedia (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/class-use/CommunicationMedia.html" target="_top">Frames</a></li>
<li><a href="CommunicationMedia.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.CommunicationMedia" class="title">Uses of Interface<br>org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.CommunicationMedia</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.util">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.util">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.util">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.util">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.util">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subinterfaces, and an explanation">
<caption><span>Subinterfaces of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaCommHost.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaCommHost</a></span></code>
<div class="block">A representation of the model object '<em><b>Ga Comm Host</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl</a> that implement <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaCommHostImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">GaCommHostImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Ga Comm Host</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.util</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/util/GQAMSwitch.html" title="type parameter in GQAMSwitch">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">GQAMSwitch.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/util/GQAMSwitch.html#caseCommunicationMedia-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.CommunicationMedia-">caseCommunicationMedia</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Communication Media</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subinterfaces, and an explanation">
<caption><span>Subinterfaces of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaCommHost.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaCommHost</a></span></code>
<div class="block">A representation of the model object '<em><b>Sa Comm Host</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl</a> that implement <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/impl/SaCommHostImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl">SaCommHostImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Sa Comm Host</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.util</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/util/SAMSwitch.html" title="type parameter in SAMSwitch">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">SAMSwitch.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/util/SAMSwitch.html#caseCommunicationMedia-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.CommunicationMedia-">caseCommunicationMedia</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Communication Media</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subinterfaces, and an explanation">
<caption><span>Subinterfaces of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwBridge.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication">HwBridge</a></span></code>
<div class="block">A representation of the model object '<em><b>Hw Bridge</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwBus.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication">HwBus</a></span></code>
<div class="block">A representation of the model object '<em><b>Hw Bus</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication">HwMedia</a></span></code>
<div class="block">A representation of the model object '<em><b>Hw Media</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl</a> that implement <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwBridgeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl">HwBridgeImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Hw Bridge</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwBusImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl">HwBusImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Hw Bus</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwMediaImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl">HwMediaImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Hw Media</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.util</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/util/HwCommunicationSwitch.html" title="type parameter in HwCommunicationSwitch">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">HwCommunicationSwitch.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/util/HwCommunicationSwitch.html#caseCommunicationMedia-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.CommunicationMedia-">caseCommunicationMedia</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Communication Media</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subinterfaces, and an explanation">
<caption><span>Subinterfaces of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/MessageComResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">MessageComResource</a></span></code>
<div class="block">A representation of the model object '<em><b>Message Com Resource</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SharedDataComResource</a></span></code>
<div class="block">A representation of the model object '<em><b>Shared Data Com Resource</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwCommunicationResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SwCommunicationResource</a></span></code>
<div class="block">A representation of the model object '<em><b>Sw Communication Resource</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl</a> that implement <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/MessageComResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">MessageComResourceImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Message Com Resource</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SharedDataComResourceImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Shared Data Com Resource</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwCommunicationResourceImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Sw Communication Resource</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.util</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/util/SW_InteractionSwitch.html" title="type parameter in SW_InteractionSwitch">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">SW_InteractionSwitch.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/util/SW_InteractionSwitch.html#caseCommunicationMedia-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.CommunicationMedia-">caseCommunicationMedia</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Communication Media</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM</a> that return <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a></code></td>
<td class="colLast"><span class="typeNameLabel">GRMFactory.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMFactory.html#createCommunicationMedia--">createCommunicationMedia</a></span>()</code>
<div class="block">Returns a new object of class '<em>Communication Media</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl</a> that implement <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/CommunicationMediaImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">CommunicationMediaImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Communication Media</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl</a> that return <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a></code></td>
<td class="colLast"><span class="typeNameLabel">GRMFactoryImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/GRMFactoryImpl.html#createCommunicationMedia--">createCommunicationMedia</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.util</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/util/GRMSwitch.html" title="type parameter in GRMSwitch">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">GRMSwitch.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/util/GRMSwitch.html#caseCommunicationMedia-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.CommunicationMedia-">caseCommunicationMedia</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Communication Media</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/class-use/CommunicationMedia.html" target="_top">Frames</a></li>
<li><a href="CommunicationMedia.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
